---     
tags: 
  - Orders
description: Returns a list of orders, optionally filtered by the role of the associated user.
parameters:
  - in: header
    name: Authorization
    type: string
    required: true
  - in: path
    name: per_page
    type: int
    required: false
  - in: path
    name: page
    type: int
    required: false
  - in: path
    name: role
    type: string
    required: false
produces: 
  - 'application/json'
responses:
  200:
    schema:
      type: object
      example: {
        'count': 3, 
        'orders': [
          {
            'admin_id': None, 
            'client_status': 'Complete', 
            'created_at': 'Wed, 31 Jul 2024 12:58:03 GMT', 
            'estimated_data_delivery_date': None, 
            'order_number': 'S114630', 
            'status': 30, 
            'subscription_price': '0.00', 
            'total_price': '222.00', 
            'user': {
              'id': 18858, 
              'is_expired': False, 
              'user_name': 'demo'
            }
          }, 
          {
            'admin_id': None, 
            'client_status': 'Complete', 
            'created_at': 'Wed, 31 Jul 2024 12:58:03 GMT', 
            'estimated_data_delivery_date': None, 
            'order_number': 'S114623', 
            'status': 30, 
            'subscription_price': '0.00', 
            'total_price': '222.00', 
            'user': {
              'id': 18857, 
              'is_expired': False, 
              'user_name': 'standard'
            }
          }, 
          {
            'admin_id': None, 
            'client_status': 'Complete', 
            'created_at': 'Wed, 31 Jul 2024 12:58:03 GMT', 
            'estimated_data_delivery_date': None, 
            'order_number': 'S114616', 
            'status': 30, 
            'subscription_price': '0.00', 
            'total_price': '222.00', 
            'user': {
              'id': 18856, 
              'is_expired': False, 
              'user_name': 'admin'
            }
          }
        ]
      }
  401:
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'Unauthorised'

